<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/AVSCommon/Utils/Common/TestableAttachmentManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li><li class="navelem"><a class="el" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_834bf911d49030c30073fd5ed0d05185.html">Utils</a></li><li class="navelem"><a class="el" href="dir_717887339092f669d8b45fb8064b0fde.html">Common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TestableAttachmentManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_testable_attachment_manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_COMMON_TESTABLEATTACHMENTMANAGER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_COMMON_TESTABLEATTACHMENTMANAGER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_attachment_manager_8h.html">AVSCommon/AVS/Attachment/AttachmentManager.h</a>&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html">TestableAttachmentManager</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">avsCommon::avs::attachment::AttachmentManager</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#afd113cb33ba6b76bd635b8e970fd0c74">TestableAttachmentManager</a>();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#a8b0e9a7b1c090afee3cd83f9e2abef9e">generateAttachmentId</a>(<span class="keyword">const</span> std::string&amp; contextId, <span class="keyword">const</span> std::string&amp; contentId) <span class="keyword">const override</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#a4cccc36f61db6be4df96bbdf0430b489">setAttachmentTimeoutMinutes</a>(std::chrono::minutes timeoutMinutes) <span class="keyword">override</span>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    std::unique_ptr&lt;avsCommon::avs::attachment::AttachmentWriter&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#a78e185e98180304bcb2959119a455a68">createWriter</a>(</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keyword">const</span> std::string&amp; attachmentId,</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a7b17d768f16a6f5da766df780d94bbd5">avsCommon::utils::sds::WriterPolicy</a> policy) <span class="keyword">override</span>;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    std::unique_ptr&lt;avsCommon::avs::attachment::AttachmentReader&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#ab3a2037228ade42d4cecc23e40a50293">createReader</a>(</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keyword">const</span> std::string&amp; attachmentId,</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a07d2a9441f40d089a1f9a0d7e2baab4b">avsCommon::utils::sds::ReaderPolicy</a> policy) <span class="keyword">override</span>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    std::unique_ptr&lt;avsCommon::avs::attachment::AttachmentManager&gt; m_manager;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;};</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_TEST_AVSCOMMON_UTILS_COMMON_TESTABLEATTACHMENTMANAGER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager_html_ab3a2037228ade42d4cecc23e40a50293"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#ab3a2037228ade42d4cecc23e40a50293">alexaClientSDK::avsCommon::utils::TestableAttachmentManager::createReader</a></div><div class="ttdeci">std::unique_ptr&lt; avsCommon::avs::attachment::AttachmentReader &gt; createReader(const std::string &amp;attachmentId, avsCommon::utils::sds::ReaderPolicy policy) override</div><div class="ttdef"><b>Definition:</b> TestableAttachmentManager.cpp:68</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_html_a7b17d768f16a6f5da766df780d94bbd5"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a7b17d768f16a6f5da766df780d94bbd5">alexaClientSDK::avsCommon::utils::sds::WriterPolicy</a></div><div class="ttdeci">WriterPolicy</div><div class="ttdoc">Specifies the policy to use for writing to the stream. </div><div class="ttdef"><b>Definition:</b> WriterPolicy.h:25</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager_html_a78e185e98180304bcb2959119a455a68"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#a78e185e98180304bcb2959119a455a68">alexaClientSDK::avsCommon::utils::TestableAttachmentManager::createWriter</a></div><div class="ttdeci">std::unique_ptr&lt; avsCommon::avs::attachment::AttachmentWriter &gt; createWriter(const std::string &amp;attachmentId, avsCommon::utils::sds::WriterPolicy policy) override</div><div class="ttdef"><b>Definition:</b> TestableAttachmentManager.cpp:49</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager_html_a4cccc36f61db6be4df96bbdf0430b489"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#a4cccc36f61db6be4df96bbdf0430b489">alexaClientSDK::avsCommon::utils::TestableAttachmentManager::setAttachmentTimeoutMinutes</a></div><div class="ttdeci">bool setAttachmentTimeoutMinutes(std::chrono::minutes timeoutMinutes) override</div><div class="ttdef"><b>Definition:</b> TestableAttachmentManager.cpp:45</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html">alexaClientSDK::avsCommon::utils::TestableAttachmentManager</a></div><div class="ttdef"><b>Definition:</b> TestableAttachmentManager.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">alexaClientSDK::avsCommon::avs::attachment::AttachmentManager</a></div><div class="ttdef"><b>Definition:</b> AttachmentManager.h:50</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager_html_a8b0e9a7b1c090afee3cd83f9e2abef9e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#a8b0e9a7b1c090afee3cd83f9e2abef9e">alexaClientSDK::avsCommon::utils::TestableAttachmentManager::generateAttachmentId</a></div><div class="ttdeci">std::string generateAttachmentId(const std::string &amp;contextId, const std::string &amp;contentId) const override</div><div class="ttdef"><b>Definition:</b> TestableAttachmentManager.cpp:40</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_html_a07d2a9441f40d089a1f9a0d7e2baab4b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a07d2a9441f40d089a1f9a0d7e2baab4b">alexaClientSDK::avsCommon::utils::sds::ReaderPolicy</a></div><div class="ttdeci">ReaderPolicy</div><div class="ttdoc">Specifies the policy to use for reading from the stream. </div><div class="ttdef"><b>Definition:</b> ReaderPolicy.h:25</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager_html_afd113cb33ba6b76bd635b8e970fd0c74"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_testable_attachment_manager.html#afd113cb33ba6b76bd635b8e970fd0c74">alexaClientSDK::avsCommon::utils::TestableAttachmentManager::TestableAttachmentManager</a></div><div class="ttdeci">TestableAttachmentManager()</div><div class="ttdef"><b>Definition:</b> TestableAttachmentManager.cpp:34</div></div>
<div class="ttc" id="_attachment_manager_8h_html"><div class="ttname"><a href="_attachment_manager_8h.html">AttachmentManager.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
